#include <fstream>
#include <cmath>

using namespace std;

int main()
{
	ifstream f1("DAYCONDN.INP");
   long long n,a[100000],num=0,num2=0;
   f1>>n;
   for (long long i=0;i<n;i++){f1>>a[i];}
   f1.close();
   ofstream f2("DAYCONDN.OUT");
   for (long long k=0;k<n;k++){

    if (a[k]>0){num++;}
    if (num>num2){num2=num;}
    if (a[k]<=0){num=0;}

   }
   f2<<num2;
}
